Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[FOOMATIC] Paquet non trouvé à la mise à jour - (Résolu)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
Damiatux
Apprentice
Apprentice


Joined: 23 Feb 2008
Posts: 194

PostPosted: Sun Jan 24, 2010 10:45 am    Post subject: [FOOMATIC] Paquet non trouvé à la mise à jour - (Résolu) Reply with quote

Plop,

Ça fait un paquet de temps qu'il n'y a plus eu de mise à jour ce ce vieux PC. Comme c'est celui que j'utilise tout le temps (ou du moins le plus souvent), il faut que je fasse une mise à jour.
Quand je lance le #emerge -auvDN world, j'ai droit à cette réponse :
Code:
emerge: there are no ebuilds to satisfy "=net-print/foomatic-db-engine-3.0.2".
(dependency required by "net-print/foomatic-3.0.2" [installed])
(dependency required by "world" [argument])

Effectivement, la version 3.0.2 de foomatic-db-engine n'existe pas. J'ai donc essayé de faire la mise à jour de foomatic, mais ce paquet n'existe pas !
J'ai mis à jour foomatic-db-engine à la version 2008, mais j'ai toujours le même problème.

Que faire ?

Merci d'avance,
Damiatux


Last edited by Damiatux on Sun Jan 24, 2010 1:57 pm; edited 1 time in total
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Sun Jan 24, 2010 11:44 am    Post subject: Reply with quote

'alute

le package foomatic n'existe plus et il est installé dans ton world donc désinstalle-le en premier. (avec equery tu peux aussi voir de qui il dépend)
Et "un packet de temps" c'est combien à la louche ? le précédent emerge --sync date de quand juste pour avoir une idée des migrations à faire...

btw, afin de t'en sortir au mieux pour tous les problèmes/questions que tu rencontreras à l'usage et pour entretenir correctement ta gentoo, tu devrais prendre un peu de temps et regarder la doc de portage et les manpages de diverses commandes très utiles i.e. revdep-rebuild, equery, modules-update, elogv, ... les recherches sur le forum aident bien aussi :wink:
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "


Last edited by boozo on Sun Jan 24, 2010 3:58 pm; edited 1 time in total
Back to top
View user's profile Send private message
Damiatux
Apprentice
Apprentice


Joined: 23 Feb 2008
Posts: 194

PostPosted: Sun Jan 24, 2010 1:45 pm    Post subject: Reply with quote

Je viens juste de refaire un emerge --sync, mais le dernier avant celui-là datait de 1 ou 2 mois, je pense. Le dernier emerge -auvDN world date de... Aucune idée :D

Merci pour l'aide et le conseil !
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Sun Jan 24, 2010 2:49 pm    Post subject: Reply with quote

En fait l'un ne va pas sans l'autre :wink:
Le sync pour te synchroniser sur l'arbre des ports et le reste (-uDv) pour mettre à jour les packages installés en fonction de ce qui est livré par les mainteneurs de chaques applications. Si tu ne veux pas trop de tracas, faire une màj de world à une fréquence entre : 1x par semaine --> 1x / mois c'est suffisant.
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
Damiatux
Apprentice
Apprentice


Joined: 23 Feb 2008
Posts: 194

PostPosted: Sun Jan 24, 2010 3:12 pm    Post subject: Reply with quote

Ouais. Dès que j'aurais fini cette mise à jour et une autre sur un autre ordi, et que j'aurais installé Gentoo (ma première installation de Gentoo :) ), je ferais une mise à jour tous les mois sur chaque PC.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum